Browse endpoints

Business Check

POST /api/v2/business_check operationId: business_check

Live: https://gdapi.globaldata.net.au/api/v2/business_check · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/business_check

Performs a business lookup by ACN (9 digits) or ABN (11 digits), and combines ABR and ASIC data where available.

Input

  • number must be a valid ABN or ACN.

Output

Returns:

  • business identity and status details
  • address details
  • ASIC dates and recent document metadata
  • business names and historical name details

Request body

Content type application/json. Business check request details.

FieldDescription
numberrequired string

ABN (11 digits) or ACN (9 digits).

Example: 91605303875

Responses

200

Business check result.

application/json
FieldDescription
message string

Example: Ok

api_reference string (uuid)

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

match one of 2 shapes

The matched business. An empty array [] when the number is not known to the ABR or ASIC.

Business Check match
FieldDescription
name string or null

Example: SEMVIA FINANCE PTY LTD

type string or null

Example: Australian Private Company

abn string or null

Example: 91605303875

abn_status string or null

Example: active

abn_gst_registered boolean

Example: true

acn string or null

Example: 605303875

acn_status string or null

Example: registered

address_locality string or null

Example: MELBOURNE

address_state string or null

Example: VIC

address_postcode string or null

Example: 3000

asic_reg_date string or null

Example: 2015-04-15

asic_review_date string or null

Example: 2026-04-15

asic_deregistered_date string or null
asic_recent_documents array of objects
asic_recent_documents[].form_code string

Example: 484

asic_recent_documents[].description string

Example: CHANGE TO COMPANY DETAILS

asic_recent_documents[].date string

Example: 2021-07-07

asic_recent_documents[].document_number string

Example: 7EBJ24000

asic_recent_documents[].sub_documents array of objects
asic_recent_documents[].sub_documents[].form_code string

Example: 484N

asic_recent_documents[].sub_documents[].description string

Example: CHANGES TO (MEMBERS) SHARE HOLDINGS

business_names array of objects
business_names[].name string

Example: Payexpress

business_names[].from string or null

Example: 2015-07-16

business_names[].to string or null
business_names[].type string

Example: business_name

name_details array of objects
name_details[].type string

Example: organisation

name_details[].entity_name string

Example: SEMVIA FINANCE PTY LTD

name_details[].from string or null

Example: 2015-04-24

name_details[].to string or null
Empty array

Returned when the number is not known to the ABR or ASIC. (array [max 0 items])

Standard error responses: 400 401 402 403 429 5XX See common error responses